Page 4 of 4 FirstFirst ... 234
Results 31 to 37 of 37

Thread: problems installing lich

  1. Default

    https://github.com/rubygems/rubygems/issues/977

    Install an older version of RubyGems.

  2. #32
    Join Date
    Jul 2006
    Location
    East Lansing, MI
    Posts
    7,594

    Default

    I'm using 2.0.0 do I need to go older?

  3. Default

    Quote Originally Posted by crb View Post
    I'm using 2.0.0 do I need to go older?
    Uninstall 2.0.0 (control panel app)
    Delete remnant 2.0.0 directory
    Might as well get rid of the old devkit, it won't do any good with newer rubies
    Download this installer (Ruby 2.5.5 64 bit only and gems packaged together)
    Install Simu Launcher and FE of choice (before doing Lich)
    Download latest version of Lich here and unzip.
    Doubleclick Lich.RBW to start.

    Note, if you didn't do the first two, the installer will just quit out.

  4. #34
    Join Date
    Jul 2006
    Location
    East Lansing, MI
    Posts
    7,594

    Default

    Quote Originally Posted by Risen View Post
    Uninstall 2.0.0 (control panel app)
    Delete remnant 2.0.0 directory
    Might as well get rid of the old devkit, it won't do any good with newer rubies
    Download this installer (Ruby 2.5.5 64 bit only and gems packaged together)
    Install Simu Launcher and FE of choice (before doing Lich)
    Download latest version of Lich here and unzip.
    Doubleclick Lich.RBW to start.

    Note, if you didn't do the first two, the installer will just quit out.
    Thank you, worked great.

  5. #35
    Join Date
    Oct 2010
    Location
    Shut the window, love.
    Posts
    151

    Default

    Out of personal preference, I'd use the SGE to log in, however after the last few updates and a few HD memory dumps (and finally biting the bullet and switching over to an SSD for the laptop), I can't get Lich to link to the SGE or website any longer. Any advice on that? There a certain place the Lich and SGE folders have to be, is it a registry error, etc etc?

    edit: still using Windows 7 SP1.
    Last edited by emo hero james; 09-03-2019 at 12:48 PM. Reason: OS

  6. Default

    Quote Originally Posted by emo hero james View Post

    edit: still using Windows 7 SP1.
    Restored? Or fresh install? If the former, registry is the culprit. If the latter, might have to reinstall SGE and try the Lich link again. Make sure your rubyw application is set to run compatibility mode Win7, as well.

  7. #37
    Join Date
    Oct 2010
    Location
    Shut the window, love.
    Posts
    151

    Default

    Restored, yeah. Both ruby and rubyw are set to compatibility with Win7, run as administrator.

    What am I looking for in the registry?

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •